
TYPO3.Fluid - Bug # 8854

Task # 26664 (New): Clean up Form ViewHelpers
Task # 26658 (New): Make Form ViewHelpers consistent

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: ViewHelpers
Created: 2010-07-14 Assigned To: Bastian Waidelich
Updated: 2012-01-20 Due date:
Has patch: No
Affected Flow version: Git master
Subject: form.checkbox ViewHelper throws Exception in newAction
Description

When using the form.checkbox ViewHelper in ObjectAccessorMode (bound to a property of the form object) this leads to an error
when the form object is NULL (e.g. in the newAction) because the type of the property (array / boolean) can't be determined.
To avoid this issue, we need a new argument "multiple" that will make sure, that "[]" are appended to the checkbox field name.

Related issues:
related to TYPO3.Fluid - Task # 9214: Improve handling of bound properties in... Closed 2010-08-09
related to Core - Bug # 61529: Cannot ensure checkbox for multiple values Resolved 2014-09-11
duplicated by TYPO3.Fluid - Task # 6004: Checkbox viewHelper throws exception... Closed 2010-01-13

Associated revisions
Revision 97e44d5d - 2012-01-19 13:42 - Bastian Waidelich

[BUGFIX] form.checkbox ViewHelper throws Exception in newAction

This adds an argument "multiple" to the checkbox ViewHelper
which makes it possible to mark the property as multi value
even if the bound object is NULL.

Besides the ViewHelper can now be bound to all scalar properties,
arrays and Traversable objects.
This change is backwards-compatible.

Change-Id: I2c024d6a0bceaeb65ed04847e76fb44ccc238139
Fixes: #8854
Releases: 1.1

History
#1 - 2010-08-04 20:32 - Bastian Waidelich
- Tracker changed from Feature to Bug
- Subject changed from form.checkbox ViewHelper needs an "multiple" argument to form.checkbox & form.radio ViewHelpers do not work in newAction
- Priority changed from Should have to Must have

#2 - 2010-08-04 21:56 - Bastian Waidelich
- % Done changed from 0 to 80

#3 - 2011-05-06 10:09 - Sebastian Kurfuerst
- Parent task set to #26658
#4 - 2011-09-09 15:20 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#5 - 2011-10-20 01:48 - Karsten Dambekalns
- Target version deleted (1.0.0)

#6 - 2012-01-18 21:26 - Bastian Waidelich
- Subject changed from form.checkbox & form.radio ViewHelpers do not work in newAction to form.checkbox ViewHelper throws Exception in 
newAction
- Target version set to 1.1
- Has patch set to No

#7 - 2012-01-18 21:27 - Bastian Waidelich
- Tracker changed from Task to Bug
- Affected Flow version set to Git master

#8 - 2012-01-18 22:34 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7856

#9 - 2012-01-19 13:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7856

#10 - 2012-01-20 12:22 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100
